﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using searchComponent.structure;

/// <summary>
/// Summary description for SearchVentas
/// </summary>
public class SearchArticles : SearchStructure
{
    public SearchArticles()
    {
        TableStructure basetbl = new TableStructure("articulos");

        Column col = new Column("id", "id", "id", Column.ColumnType.Numeric, basetbl.Name);
        col.Searchable = false;
        basetbl.addColumn(col);
        col = new Column("codigo", "Codigo", "cod", Column.ColumnType.String, basetbl.Name);
        basetbl.addColumn(col);
        col = new Column("descripcion", "Descripcion", "desc", Column.ColumnType.Fts, basetbl.Name);
        basetbl.addColumn(col);

        this.addTable(basetbl, null);

        TableStructure tbl = new TableStructure("precios");

        col = new Column("id_articulo", "id_articulo", "none", Column.ColumnType.Numeric, tbl.Name);
        col.Searchable = false;
        col.AppearInResults = false;
        tbl.addColumn(col);
        col = new Column("precio", "Precio", "pre", Column.ColumnType.Numeric, tbl.Name);
        tbl.addColumn(col);

        JoinStatement join = new JoinStatement(basetbl.Name + ".id" , tbl.Name + ".id_articulo", JoinStatement.JoinType.Left);
        //tbl.Join = join;
        this.addTable(tbl, join);

        tbl = new TableStructure("saldos");

        col = new Column("id_articulo", "id_articulo", "none", Column.ColumnType.Numeric, tbl.Name);
        col.Searchable = false;
        col.AppearInResults = false;
        tbl.addColumn(col);
        col = new Column("saldo", "Saldo", "sal", Column.ColumnType.Numeric, tbl.Name);
        tbl.addColumn(col);

        join = new JoinStatement(basetbl.Name + ".id", tbl.Name + ".id_articulo", JoinStatement.JoinType.Left);
        //tbl.Join = join;
        this.addTable(tbl, join);
    }
}
