﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using searchComponent.structure;

/// <summary>
/// Summary description for SearchVentas
/// </summary>
public class SearchVentas : SearchStructure
{
    public SearchVentas()
    {
        TableStructure basetbl = new TableStructure("detalles");

        Column col = new Column("id_articulo", "IdArticulo", "id", Column.ColumnType.Numeric, basetbl.Name);
        col.Searchable = false;
        col.AppearInResults = false;
        basetbl.addColumn(col);
        col = new Column("cantidad", "Cantidad", "cant", Column.ColumnType.Numeric, basetbl.Name);
        basetbl.addColumn(col);
        col = new Column("total", "Total", "tot", Column.ColumnType.Numeric, basetbl.Name);
        basetbl.addColumn(col);
        col = new Column("id_venta", "IdVenta", "none", Column.ColumnType.Numeric, basetbl.Name);
        col.Searchable = false;
        col.AppearInResults = false;
        basetbl.addColumn(col);

        this.addTable(basetbl, null);

        TableStructure tbl = new TableStructure("ventas");

        col = new Column("id", "id", "none", Column.ColumnType.Numeric, tbl.Name);
        col.Searchable = false;
        col.AppearInResults = false;
        tbl.addColumn(col);
        col = new Column("fecha", "Fecha", "dat", Column.ColumnType.Date, tbl.Name);
        tbl.addColumn(col);

        JoinStatement join = new JoinStatement(basetbl.Name + ".id_venta" , tbl.Name + ".id", JoinStatement.JoinType.Inner);
        //tbl.Join = join;
        this.addTable(tbl, join);

        tbl = new TableStructure("articulos");

        col = new Column("id", "id", "none", Column.ColumnType.Numeric, tbl.Name);
        col.Searchable = false;
        col.AppearInResults = false;
        tbl.addColumn(col);
        col = new Column("descripcion", "Descripcion", "desc", Column.ColumnType.Fts, tbl.Name);
        tbl.addColumn(col);
        col = new Column("codigo", "Codigo", "cod", Column.ColumnType.String, tbl.Name);
        tbl.addColumn(col);

        join = new JoinStatement(basetbl.Name + ".id_articulo", tbl.Name + ".id", JoinStatement.JoinType.Inner);
        //tbl.Join = join;
        this.addTable(tbl, join);
    }
}
