﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace searchComponent.interpreter
{
    /// <summary>
    /// This class represents a possible suggestion for the grammar in progress depending
    /// on the structure given.
    /// An object of this class ONLY contains the suggestion
    /// </summary>
    public class SuggestLine
    {
        /// <summary>
        /// Contains the value that should appear in the expression
        /// </summary>
        private string _value;

        /// <summary>
        /// Contains an explanatory text about the value
        /// </summary>
        private string _text;

        /// <summary>
        /// Contains the value that should appear in the expression
        /// </summary>
        public string Value
        {
            get { return this._value; }
        }

        /// <summary>
        /// Contains an explanatory text about the value
        /// </summary>
        public string Text
        {
            get { return this._text; }
        }

        /// <summary>
        /// Simple constructor for this object
        /// </summary>
        /// <param name="v"></param>
        /// <param name="t"></param>
        public SuggestLine(string v, string t)
        {
            this._text = t;
            this._value = v;
        }
    }
}
